# Uses of Enum
com.fasterxml.jackson.annotation.JsonInclude.Include

## Uses of JsonInclude.Include in com.fasterxml.jackson.annotation

Fields in com.fasterxml.jackson.annotation declared as JsonInclude.Include
Modifier and Type
Field
Description
`protected final JsonInclude.Include`
JsonInclude.Value.`_contentInclusion`
`protected final JsonInclude.Include`
JsonInclude.Value.`_valueInclusion`
Methods in com.fasterxml.jackson.annotation that return JsonInclude.Include
Modifier and Type
Method
Description
`JsonInclude.Include`
JsonInclude.Value.`getContentInclusion()`
`JsonInclude.Include`
JsonInclude.Value.`getValueInclusion()`
`static JsonInclude.Include`
JsonInclude.Include.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static JsonInclude.Include[]`
JsonInclude.Include.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.fasterxml.jackson.annotation with parameters of type JsonInclude.Include
Modifier and Type
Method
Description
`static JsonInclude.Value`
JsonInclude.Value.`construct(JsonInclude.Include valueIncl, JsonInclude.Include contentIncl)`
Factory method to use for constructing an instance for components
`static JsonInclude.Value`
JsonInclude.Value.`construct(JsonInclude.Include valueIncl, JsonInclude.Include contentIncl, Class<?> valueFilter, Class<?> contentFilter)`
Factory method to use for constructing an instance for components
`JsonInclude.Value`
JsonInclude.Value.`withContentInclusion(JsonInclude.Include incl)`
`JsonInclude.Value`
JsonInclude.Value.`withValueInclusion(JsonInclude.Include incl)`
Constructors in com.fasterxml.jackson.annotation with parameters of type JsonInclude.Include
Modifier
Constructor
Description
`protected`
`Value(JsonInclude.Include vi, JsonInclude.Include ci, Class<?> valueFilter, Class<?> contentFilter)`